Subject: Re: In wu-ftpd academ 2.4.2 beta 7, is upload or virtual keyword broken?

From: Dan Foster <[email-masked]>
Date: Tue, 21 Nov 1995 03:55:18 -0500 (EST)

I did a cardinal sin... forgot to specify system configuration. :(

Sorry. You can take me and shoot me. :)

System: Linux, kernel v1.2.13, with the dummy support as modules. This machine
is the ftp server, as well as the DNS server for the domain, btw. 

P90/64 megs of RAM, or something along those lines. It's been months since 
I last looked at the hardware. ;-) I know it's 64 megs of physical RAM and
40 megs of swap space.

-Dan Foster
System Manager
E-ZNet, Inc.
Internet: [email-masked]

---

From: Yanming PENG <[email-masked]>
Date: Tue, 21 Nov 95 10:18:52 WET

> 	Now I notice that it seems the upload keyword is no longer working,
> and I've verified the directories do exists, appropriate access modes, and
> nothing's changed there. My upload keyword consists of lines such as:
> 
As far as I tested, the upload keyword does not work for virtual domains.
I'm not sure if it is a feature for a bug. upload keyword does work for
the real server.

> upload /ftp/ftp /pub/brainy/incoming yes brainy tech 0700 nodirs
> 
> 	Now upload won't change deposited files to appropriate username/groups.
> The problem first appeared when I installed the new ftpd that has, as far as
> I can tell, the same configuration as the old ftpd, differing only in version
> numbering, bug fixes, and virtual domain support.
> 
> 	Also, I've made sure Virtual Domain support was built in this ftpd,
> used the virtual keyword as:
> 
> virtual 198.70.51.52 /ftp/ftp/pub/forte /ftp/ftp/pub/forte/00readme.txt
> 
> 	I know virtual domains in the general sense works because I can
> telnet to ftp.fortech.com, nslookup shows the appropriate IP address, etc.
> FTP to it and all. We made sure each IP address got only one hostname associated
> with it, etc.
> 
> 	Not sure why the virtual keyword isn't displaying the banner file
> (the last argument in the line).
> 
Make sure that you have root access over /ftp/ftp/ if it is NFS mounted.
(no_root_squash or similar export option should be used).

> 	BTW, every time I modify any /etc/ftp* files, should I kill -HUP
> the ftpd or something?
> 
The new configuration will be in effect for the next FTP visit when a new copy
of ftpd is called by inetd.

> 	Many thanks for any comments, tips, suggestions, rtfm's, or anything. :)
> 
> -Dan Foster
> System Manager
> E-Znet, Inc.

--
Yanming PENG Email: [email-masked] http://peng.mech.kuleuven.ac.be
Tel.32-16-322516 | The trouble with doing something right the first time is |
Fax:32-16-322987 | that nobody appreciates how difficult it was.            |